{
  programs.yazi = {
    enable = true;

    flavors = {
      catppuccin-frappe = ./catppuccin-frappe;
    };
    theme = {
      flavor = {
        #dark = "catppuccin-frappe";
      };
    };

    settings = {
      mgr = {
        ratio = [ 1 2 3 ];
        sort_by = "alphabetical";
	sort_dir_first = true;
      };
      preview = {
        max_width = 10000;
	max_height = 10000;
      };
      tasks = {
        image_bound = [ 65000 65000 ];
      };
      open = {
        prepend_rules = [
	  { mime = "video/*"; use = "open"; }
        ];
      };
    };
    keymap = {
      mgr.prepend_keymap = [ # Array of { } { } 
        {
          on = [ "c" "i" ];
          run = ''shell 'wl-copy --type "$(file --mime-type -b "$1")" < "$1"' --confirm'';
          desc = "Copy file data to clipboard with matching MIME type";
        }
      ];
    };
  };
}
